Productsup
CDE APIApi referenceConnectors

Update a connector datasource config

Any change to the datasource config will move the deployed version out of sync with the configuration and would need to redeploy.

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/datasource-configs

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/datasource-configs" \  -H "Content-Type: application/json" \  -d '{    "categories": [      "most_popular",      "orders"    ]  }'
{
  "message": "Connector datasource config updated."
}
{
  "message": "Bad request.",
  "errors": {
    "categories": "This value should not be blank."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?